{
  "accUserMode" : 2,
  "caption" : "测试实体",
  "codeName" : "TESTUsr2KanbanView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr2KanbanView.json",
  "mDCtrlActiveMode" : 2,
  "name" : "TESTUsr2KanbanView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "KanBanView",
    "name" : "engine",
    "getPSUIEngineParams" : [ {
      "ctrlName" : "kanban",
      "name" : "KANBAN",
      "paramType" : "CTRL"
    }, {
      "appViewLogicName" : "opendata",
      "name" : "OPENDATA",
      "paramType" : "LOGIC"
    }, {
      "appViewLogicName" : "newdata",
      "name" : "NEWDATA",
      "paramType" : "LOGIC"
    }, {
      "ctrlName" : "searchform",
      "name" : "SEARCHFORM",
      "paramType" : "CTRL"
    } ]
  } ],
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "getNewDataPSAppView" : {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      } ],
      "viewLogicType" : "APP_NEWDATA",
      "batchAddOnly" : false,
      "enableBatchAdd" : false,
      "enableWizardAdd" : false
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "getOpenDataPSAppView" : {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      } ],
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSAppViewRefs" : [ {
    "name" : "NEWDATA",
    "realTitle" : "测试实体编辑视图",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  }, {
    "name" : "EDITDATA",
    "realTitle" : "测试实体编辑视图",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  } ],
  "getPSControls" : [ {
    "codeName" : "Default",
    "controlType" : "SEARCHFORM",
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSSEARCHFORMS/Default.json",
    "hookEventNames" : [ "SEARCH", "LOAD", "SAVE" ],
    "logicName" : "默认搜索表单",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionType" : "FILTERACTION",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGet"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "search",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterSearch"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "搜索表单处理器"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "SEARCH;LOAD;SAVE",
      "logicTag" : "searchform",
      "logicType" : "APPVIEWENGINE",
      "name" : "engine_searchform",
      "getPSAppViewEngine" : {
        "modelref" : true,
        "id" : "engine"
      }
    } ],
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "SEARCHFORM"
    },
    "getPSDEFormItems" : [ {
      "id" : "n_testname_like",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "TESTNAME",
        "codeName" : "TESTName"
      }
    }, {
      "id" : "formitem",
      "dataType" : 25
    }, {
      "id" : "formitem1",
      "dataType" : 25
    }, {
      "id" : "formitem2",
      "dataType" : 25
    } ],
    "getPSDEFormPages" : [ {
      "caption" : "常规条件",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "name" : "formpage1",
      "getPSDEFormDetails" : [ {
        "caption" : "测试实体名称",
        "codeName" : "n_testname_like",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "n_testname_like",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "TESTNAME",
          "codeName" : "TESTName"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "name" : "n_testname_like"
        },
        "getPSLayoutPos" : {
          "colLG" : 12,
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "caption" : "条件一",
        "codeName" : "formitem",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "formitem",
        "noPrivDisplayMode" : 1,
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "name" : "formitem"
        },
        "getPSLayoutPos" : {
          "colLG" : 12,
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "caption" : "条件二",
        "codeName" : "formitem1",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "formitem1",
        "noPrivDisplayMode" : 1,
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "name" : "formitem1"
        },
        "getPSLayoutPos" : {
          "colLG" : 12,
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "caption" : "条件三",
        "codeName" : "formitem2",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "formitem2",
        "noPrivDisplayMode" : 1,
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "name" : "formitem2"
        },
        "getPSLayoutPos" : {
          "colLG" : 12,
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "searchButtonStyle" : "DEFAULT",
    "tabHeaderPos" : "TOP",
    "enableAdvanceSearch" : false,
    "enableAutoSearch" : false,
    "enableFilterSave" : false,
    "noTabHeader" : true,
    "name" : "searchform",
    "modelid" : "00eb0969f8c08fcc8321a6d60dcb7ae3",
    "modeltype" : "PSDEFORM_SEARCHFORM"
  }, {
    "codeName" : "Usr2KanbanViewtoolbar",
    "controlType" : "TOOLBAR",
    "name" : "toolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : {
      "id" : "TOOLBAR"
    },
    "xDataControlName" : "kanban",
    "modelid" : "cce6552bed05d50baa40aa21767d29ef_toolbar",
    "modeltype" : "PSDETOOLBAR"
  }, {
    "codeName" : "KanbanCodelist",
    "controlType" : "KANBAN",
    "getCreatePSControlAction" : {
      "modelref" : true,
      "id" : "create",
      "actionName" : "Create",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "create",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Create"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSKANBANS/KanbanCodelist.json",
    "getFetchPSControlAction" : {
      "modelref" : true,
      "id" : "fetch",
      "actionType" : "DEDATASET",
      "name" : "fetch",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "getGetPSControlAction" : {
      "modelref" : true,
      "id" : "load",
      "actionName" : "Get",
      "actionType" : "DEACTION",
      "dataAccessAction" : "READ",
      "name" : "load",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Get"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "groupLayout" : "ROW",
    "groupMode" : "CODELIST",
    "getGroupPSAppDEField" : {
      "name" : "TESTNAME",
      "codeName" : "TESTName"
    },
    "getGroupPSCodeList" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/UsrCodeList0129740128.json"
    },
    "hookEventNames" : [ "ROWDBLCLICK", "SELECTIONCHANGE", "REMOVE", "LOAD", "BEFORELOAD" ],
    "logicName" : "看板（分组代码表）",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "updategroup",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      } ],
      "userDRAction" : "READ",
      "enableDEFieldPrivilege" : false,
      "id" : "数据视图处理器"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "ROWDBLCLICK;SELECTIONCHANGE;REMOVE;LOAD;BEFORELOAD",
      "logicTag" : "kanban",
      "logicType" : "APPVIEWENGINE",
      "name" : "engine_kanban",
      "getPSAppViewEngine" : {
        "modelref" : true,
        "id" : "engine"
      }
    } ],
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "KANBAN"
    },
    "getPSDEDataViewDataItems" : [ {
      "dataType" : 25,
      "name" : "testname",
      "getPSAppDEField" : {
        "name" : "TESTNAME",
        "codeName" : "TESTName"
      }
    }, {
      "dataType" : 25,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "TESTID",
        "codeName" : "TESTId"
      }
    }, {
      "dataType" : 25,
      "name" : "srfmajortext",
      "getPSAppDEField" : {
        "name" : "TESTNAME",
        "codeName" : "TESTName"
      }
    } ],
    "getPSDEDataViewItems" : [ {
      "caption" : "测试实体名称",
      "dataItemName" : "testname",
      "itemType" : "DATAITEM",
      "name" : "TESTNAME",
      "getPSAppDEField" : {
        "name" : "TESTNAME",
        "codeName" : "TESTName"
      },
      "enableSort" : true
    } ],
    "pagingSize" : 20,
    "getRemovePSControlAction" : {
      "modelref" : true,
      "id" : "remove",
      "actionName" : "Remove",
      "actionType" : "DEACTION",
      "dataAccessAction" : "DELETE",
      "name" : "remove",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "getUpdateGroupPSControlAction" : {
      "modelref" : true,
      "id" : "updategroup",
      "actionName" : "Update",
      "actionType" : "DEACTION",
      "dataAccessAction" : "UPDATE",
      "name" : "updategroup",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Update"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "getUpdatePSControlAction" : {
      "modelref" : true,
      "id" : "update",
      "actionName" : "Update",
      "actionType" : "DEACTION",
      "dataAccessAction" : "UPDATE",
      "name" : "update",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Update"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "hasWFDataItems" : false,
    "appendDEItems" : false,
    "enableCardEdit" : false,
    "enableCardEditGroup" : false,
    "enableCardEditOrder" : false,
    "enableCardNew" : false,
    "enableGroup" : true,
    "enablePagingBar" : true,
    "noSort" : false,
    "singleSelect" : false,
    "name" : "kanban",
    "modelid" : "1741FBA8-5476-4E56-BA65-0E5C280F2A62",
    "modeltype" : "PSDEKANBAN"
  }, {
    "controlType" : "SEARCHBAR",
    "name" : "searchbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : {
      "id" : "searchbar"
    },
    "quickGroupCount" : -1,
    "quickSearchMode" : 1,
    "quickSearchWidth" : 0,
    "enableFilter" : false,
    "enableGroup" : false,
    "enableQuickSearch" : true,
    "mobileSearchBar" : false
  }, {
    "caption" : "测试实体",
    "codeName" : "Usr2KanbanViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "Usr2KanbanView",
  "getPSDEViewId" : "ADC35086-B142-42EC-AE73-09575BAF5424",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEKANBANVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "测试实体实体看板视图(分组代码表)",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEKANBANVIEW",
  "xDataControlName" : "kanban",
  "enableDP" : true,
  "enableFilter" : true,
  "enableQuickSearch" : true,
  "enableSearch" : true,
  "modelid" : "cce6552bed05d50baa40aa21767d29ef",
  "modeltype" : "PSAPPDEVIEW"
}